# fprintCacheEntry_s Struct Reference

Finger print cache entry. More...

`#include <rpmdb/fprint.h>`

## Data Fields

const char * | dirName
dev_t | dev
ino_t | ino

## Detailed Description

Finger print cache entry.

This is really a directory and symlink cache. We don't differentiate between the two. We can prepopulate it, which allows us to easily conduct "fake" installs of a system w/o actually mounting filesystems.

Definition at line 26 of file fprint.h.

## Field Documentation

dev_t fprintCacheEntry_s::dev

stat(2) device number

Definition at line 28 of file fprint.h.

Referenced by doLookup(), fpHashFunction(), and handleOverlappedFiles().

const char* fprintCacheEntry_s::dirName

path to existing directory

Definition at line 27 of file fprint.h.

Referenced by doLookup(), and fpsCompare().

ino_t fprintCacheEntry_s::ino

stat(2) inode number

Definition at line 29 of file fprint.h.

Referenced by doLookup(), and fpHashFunction().

The documentation for this struct was generated from the following file:

- rpmdb/fprint.h